/*
 * Class SPECIAL [NATURAL_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_678 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_678 [] = {0xFF01,237,677,203,0xFFFF};
static const EIF_TYPE_INDEX egt_2_678 [] = {0xFF01,677,203,0xFFFF};
static const EIF_TYPE_INDEX egt_3_678 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_678 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_678 [] = {0xFF01,677,203,0xFFFF};
static const EIF_TYPE_INDEX egt_6_678 [] = {0xFF01,677,203,0xFFFF};
static const EIF_TYPE_INDEX egt_7_678 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_678 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_678 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_678 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_678 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_678 [] = {677,203,0xFFFF};
static const EIF_TYPE_INDEX egt_13_678 [] = {0xFF01,677,203,0xFFFF};
static const EIF_TYPE_INDEX egt_14_678 [] = {0xFF01,678,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_678 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_678 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_678 [] = {0xFF01,682,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_678 [] = {0xFF01,683,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_678 [] = {0xFF01,677,203,0xFFFF};
static const EIF_TYPE_INDEX egt_20_678 [] = {0xFF01,677,203,0xFFFF};
static const EIF_TYPE_INDEX egt_21_678 [] = {0xFF01,677,203,0xFFFF};
static const EIF_TYPE_INDEX egt_22_678 [] = {0xFF01,677,203,0xFFFF};
static const EIF_TYPE_INDEX egt_23_678 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_678 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_25_678 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_678[] = {
	{EIF_GENERIC(NULL), 3932, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_678), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_678), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_678), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_678), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_678), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_678), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_678), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_678), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_678), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_678), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_678), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_678), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_678), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_678), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_678), 3379, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_678), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3933, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3934, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3935, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_678), 3937, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3938, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 3939, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 3940, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_678), 3941, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_678), 3942, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3944, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3945, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3948, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3949, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3951, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3952, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3953, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3954, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3955, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3956, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3957, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3958, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3959, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3960, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3961, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3962, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3963, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3964, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3965, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_678), 3966, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_678), 3967, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_678), 3968, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_678), 3969, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3970, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3971, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3972, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3973, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3974, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3975, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3976, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3977, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3978, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3980, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3981, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_678), 3936, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_678), 3943, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3950, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3946, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3947, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3950, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_678), 3979, 0xFFFFFFFF},
};
void Init678(void)
{
	IDSC(desc_678, 0, 677);
	IDSC(desc_678 + 1, 1, 677);
	IDSC(desc_678 + 32, 99, 677);
	IDSC(desc_678 + 34, 2, 677);
	IDSC(desc_678 + 77, 256, 677);
	IDSC(desc_678 + 80, 240, 677);
	IDSC(desc_678 + 83, 336, 677);
}


#ifdef __cplusplus
}
#endif
